package com.zhangxin.magicbox.wxapi;

/**
 * Created by gaoleichao on 2019/6/11
 */

import android.util.Log;

import com.tencent.mm.opensdk.constants.ConstantsAPI;
import com.tencent.mm.opensdk.modelbase.BaseResp;
import com.tencent.mm.opensdk.modelbiz.WXLaunchMiniProgram;
import com.umeng.socialize.weixin.view.WXCallbackActivity;
import com.zxhl.cms.common.Constant;
import com.zxhl.cms.net.SettingPreference;
import com.zxhl.cms.utils.RxBus;
import com.zxhl.novel.utils.server.PayResultEntity;

public class WXEntryActivity extends WXCallbackActivity {
    @Override
    public void onResp(BaseResp resp) {
        super.onResp(resp);
        if (resp.getType() == ConstantsAPI.COMMAND_LAUNCH_WX_MINIPROGRAM) {
            WXLaunchMiniProgram.Resp launchMiniProResp = (WXLaunchMiniProgram.Resp) resp;
            String extraData =launchMiniProResp.extMsg; //对应小程序组件 <button open-type="launchApp"> 中的 app-parameter 属性
            Log.e("MXL","从小程序返回"+extraData);
            PayResultEntity entity = new PayResultEntity();
            entity.setPaySuc(true);
            entity.setTxt(SettingPreference.getOutTradeNo());
            entity.setPayType(12);//微信支付类型
            RxBus.get().post(Constant.PAY_RESULT,entity);
            finish();
        }
    }

    //    @Override
//    public void onResp(BaseResp resp) {
//        String result;
//        switch (resp.errCode) {
//            case BaseResp.ErrCode.ERR_OK:
//                result = "分享成功";
//                break;
//            case BaseResp.ErrCode.ERR_USER_CANCEL:
//                result = "分享取消";
//                break;
//            default:
//                result = "分享失败";
//                break;
//        }
//        if (result != null) {
//            Utils.showToast(AppliContext.get(),result);
//        }
//
//        super.onResp(resp);
//    }


}
